Bug 580336 - [abrt] crash in gedit-1:2.28.3-1.fc12: outputpanel.py:207:on_view_button_press_event:ValueError: invalid literal for int() with base 10: '2: Variable/Variable.h:10'
[abrt] crash in gedit-1:2.28.3-1.fc12: outputpanel.py:207:on_view_button_pres...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:b32b5ec8
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-07 22:11 EDT by Robert Hollencamp
Modified: 2010-12-03 11:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 11:11:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (802 bytes, text/plain)
2010-04-07 22:11 EDT, Robert Hollencamp
no flags Details

  None (edit)
Description Robert Hollencamp 2010-04-07 22:11:47 EDT
abrt 1.0.8 detected a crash.

architecture: i686
cmdline: gedit /home/rhollencamp/Desktop/fap/Value/IntegerValue.cpp
component: gedit
executable: /usr/lib/gedit-2/plugins
kernel: 2.6.32.10-90.fc12.i686
package: gedit-1:2.28.3-1.fc12
reason: outputpanel.py:207:on_view_button_press_event:ValueError: invalid literal for int() with base 10: '2: Variable/Variable.h:10'
release: Fedora release 12 (Constantine)

backtrace
-----
outputpanel.py:207:on_view_button_press_event:ValueError: invalid literal for int() with base 10: '2: Variable/Variable.h:10'

Traceback (most recent call last):
  File "/usr/lib/gedit-2/plugins/externaltools/outputpanel.py", line 207, in on_view_button_press_event
    toline = int(line.get_text(end))
ValueError: invalid literal for int() with base 10: '2: Variable/Variable.h:10'

Local variables in innermost frame:
end: <GtkTextIter at 0x8967ba8>
text: u'Main.cpp'
self: <externaltools.outputpanel.OutputPanel instance at 0xb68bfb6c>
tot: <GtkTextIter at 0x894c8b8>
start: <GtkTextIter at 0x88a6958>
y: 142
x: 85
line: <GtkTextIter at 0x88e92f8>
event: <gtk.gdk.Event at 0xb68b40b0: GDK_BUTTON_PRESS x=85.00, y=38.00, button=1>
view: <gtk.TextView object at 0xb68a82fc (GtkTextView at 0x878e018)>

How to reproduce
-----
1. CTRL+F8 to trigger a makefile
2. Have compilation errors come up in the shell output
3. Click on the link to a file / line number.
Comment 1 Robert Hollencamp 2010-04-07 22:11:49 EDT
Created attachment 405154 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 13:37:17 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 11:11:31 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.